Welcome to the Forum Archive!

Years of conversation fill a ton of digital pages, and we've kept all of it accessible to browse or copy over. Whether you're looking for reveal articles for older champions, or the first time that Rammus rolled into an "OK" thread, or anything in between, you can find it here. When you're finished, check out the boards to join in the latest League of Legends discussions.

GO TO BOARDS


Mac beta wont open

Comment below rating threshold, click here to show it.

Dubstepic

Recruiter

03-05-2013

i have a 2008 macbook with 10.5.8


Comment below rating threshold, click here to show it.

StarletVN

Junior Member

03-05-2013

Macbook Pro Early 2011 with 10.8.2


Comment below rating threshold, click here to show it.

Saramhr

Junior Member

03-05-2013

same problem
Macbook pro with 10.8.2
and 500gb , intel core i5


Comment below rating threshold, click here to show it.

calebb

Junior Member

03-05-2013

10.7.5


Comment below rating threshold, click here to show it.

icywave

Junior Member

03-05-2013

Same issue with me

10.7.5


Comment below rating threshold, click here to show it.

mixmacster

Junior Member

03-05-2013

Same problem. Client will not open. Just sits in dock bouncing.

Mac OS X version 10.7.5


Comment below rating threshold, click here to show it.

Amazeee

Junior Member

03-05-2013

10.5.8


Comment below rating threshold, click here to show it.

sgw

Junior Member

03-05-2013

Mine would bounce once then nothing would happen. I reinstalled and it worked again.

10.6.8


Comment below rating threshold, click here to show it.

alameddine11

Junior Member

03-06-2013

Guys Im having the same problem, os 10.5.8


Comment below rating threshold, click here to show it.

Mirror

Senior Member

03-06-2013

Quote:
ModeratelyVexed:
same problem 10.5.8

Quote:
Dubstepic:
i have a 2008 macbook with 10.5.8

Quote:
Amazeee:
10.5.8

Quote:
alameddine11:
Guys Im having the same problem, os 10.5.8


From the system requirements (https://support.leagueoflegends.com/entries/23260481-League-of-Legends-Mac-Client-Minimum-System-Requirements):
Quote:
Mac OS X 10.6.8 or higher